table {
  table-layout: fixed;
  border-collapse: collapse;
}

.m-table__front{
  width: 100%;
  table-layout: auto;
  transition: width 0.3s ease;
  overflow-x: auto;
}

.m-table-definition {
  margin-top: 56px;
  border: 1px solid var(--border);
  font-size: 1rem;
}
@media (max-width: 768px) {
  .m-table-definition {
    margin-top: 48px;
    font-size: 0.875rem;
  }
}
.m-table-definition__table {
  width: 100%;
  text-align: left;
  border-collapse: collapse;
}
.m-table-definition__row:not(:last-child) {
  border-bottom: 1px solid var(--border);
}
.m-table-definition__head {
  text-align: center;
  width: 40%;
  padding: 16px;
  font-weight: normal;
  background-color: #F2F5F9;
  border-right: 1px solid var(--border);
}
.m-table-definition__description {
  width: 60%;
  padding: 16px;
  white-space: break-spaces;
}

.m-table-definition__description > *:first-child {
  margin-top: 0;
}
.m-table-definition__description > :last-child {
  margin-bottom: 0;
}
@media (min-width: 769px) {
  .m-table-definition__description .m-media .m-media__media {
    width: 70%;
  }
}
.u-tabPanel .m-table-definition__table:has(td + td) .m-table-definition__description {
  width: auto;
  word-wrap: break-word;
}
.u-tabPanel .m-table-definition__table:has(td + td) td + td {
  border-left: 1px solid var(--border);
}

.m-table {
  margin-top: 56px;
}
@media (max-width: 768px) {
  .m-table {
    font-size: 0.875rem;
    margin-top: 48px;
  }
}
.m-table:hover .m-table__icon, .m-table:focus .m-table__icon, .m-table:focus-within .m-table__icon {
  visibility: hidden;
  opacity: 0;
}
.m-table__notice {
  margin-bottom: 8px;
  text-align: right;
}
@media (max-width: 768px) {
  .m-table__notice {
    font-size: 0.875rem;
    white-space: normal;
  }
}
/*table 2025-0602-add-iso*/
.m-table-bk-kon {
    background-color: #3B506C !important;
}
.m-table-gray{
  background-color: #F8F9FB !important;
}
/*/table 2025-0602-add-iso*/
.m-table__icon::before, .m-table__icon::after, .m-table__iconText::before, .m-table__iconText::after {
  position: absolute;
  display: block;
  width: 12px;
  height: 12px;
  background-color: var(--white);
  mask-image: url('data:image/svg+xml;utf-8,<svg height="16" viewBox="0 0 16 16" width="16" xmlns="http://www.w3.org/2000/svg"><path d="m15.98 8-7.98-7.98-7.98 7.98 1.42 1.41 5.56-5.56v12.13h2v-12.13l5.56 5.56z"/></svg>');
  mask-size: cover;
}
.m-table__icon {
  position: absolute;
  inset: 0;
  z-index: 1;
  display: grid;
  align-items: center;
  width: 180px;
  height: 80px;
  /* margin: auto; */
  margin: 110px auto;
  color: var(--white);
  visibility: hidden;
  background-color: rgba(34, 34, 34, 0.8);
  border-radius: 40px;
  opacity: 1;
  transition: visibility 0.3s ease-in, opacity 0.3s ease-in;
}
.m-table__icon::before, .m-table__icon::after {
  inset: 0;
  margin-inline: auto;
}
.m-table__icon::before {
  top: 5px;
}
.m-table__icon::after {
  top: 60px;
  rotate: 180deg;
}
.m-table__iconText {
  font-size: 0.75rem;
  position: relative;
  text-align: center;
}
.m-table__iconText::before, .m-table__iconText::after {
  top: 50%;
  translate: 0 -50%;
}
.m-table__iconText::before {
  left: 10px;
  rotate: -90deg;
}
.m-table__iconText::after {
  right: 10px;
  rotate: 90deg;
}
.m-table__container {
  position: relative;
  max-height: 600px;
  overflow: auto;
}
.m-table__container.is-horizonScroll .m-table__icon {
  visibility: visible;
}
.m-table__container.is-horizonScroll .m-table__iconText::before, .m-table__container.is-horizonScroll .m-table__iconText::after {
  content: "";
}
.m-table__container.is-aroundScroll .m-table__icon {
  visibility: visible;
}
.m-table__container.is-aroundScroll .m-table__icon::before, .m-table__container.is-aroundScroll .m-table__icon::after,
.m-table__container.is-aroundScroll .m-table__iconText::before,
.m-table__container.is-aroundScroll .m-table__iconText::after {
  content: "";
}
@media (max-width: 768px) {
  .m-table__container {
    max-height: 450px;
    /* overflow: unset; */
  }
}
/* タブ内の表横幅スタイルをJS調整 */
.m-table__front {
  width: 100%;
  table-layout: auto;
  transition: width 0.3s ease;
  overflow-x: auto;
}

.m-table__front.is-wider {
  width: auto;
}

@media (max-width: 768px) {
  .m-table__front {
    width: auto;
    min-width: 100%;
  }
}
.m-table thead {
  position: sticky;
  top: 0;
  z-index: 2;
}
.m-table thead .m-table__cell {
  position: relative;
  color: var(--white);
  /*background-color: #3B506C;*/
  background-color: #003B7F;
}
.m-table thead .m-table__cell:has(.m-table__button) {
  padding-right: 32px;
}
.m-table tbody th {
  /*color: var(--white);*/
  color: var(--black);
  background-color: #3B506C;
}

.m-table__cell.m-table__cell--center.js-sort__headCell {
  min-width: 200px;
}
.m-table__cell.m-table__cell--center img {
  max-width: 200px;
}

.m-table__content {
  display: flex;
  justify-content: space-between;
}

td.m-table__cell{
  white-space: nowrap;
}

.m-table__cell {
  padding: 12px;
  text-align: left;
  white-space: nowrap;
  word-break: break-all;
  border: 1px solid var(--border);
}

@media (max-width: 768px) {
  .m-table__cell {
    padding: 16px;
  }
}


.m-table__cell > :first-child {
  margin-top: 0;
}
.m-table__cell > :last-child {
  margin-bottom: 0;
}
.m-table__cell--center {
  text-align: center;
}

.m-table thead .m-table__cell--center:first-child {
  /* position: sticky; */
  top: 0;
  left: 0;
  z-index: 1;
}

.m-table__cell:first-child {
  /* position: sticky; */
  left: 0;
  z-index: 1;
  background-color: var(--white);
}

@media (max-width: 768px) {
  .m-table__line.js-sort__line .m-table__cell {
    white-space: nowrap;
  }
}

.m-table__cell--right {
  text-align: right;
}
.m-table__button {
  position: absolute;
  inset: 0;
  display: block;
  width: 100%;
  height: 100%;
  margin: auto;
  color: transparent;
  background-color: transparent;
  border: unset;
}
.m-table__button:disabled {
  visibility: hidden;
}
.m-table__button:focus-visible .m-table__buttonText::before, .m-table__button:focus-visible .m-table__buttonText::after {
  background-color: #9DA8B6;
  transition: background-color 0.2s;
}
@media (any-hover: hover) {
  .m-table__button:hover .m-table__buttonText::before, .m-table__button:hover .m-table__buttonText::after {
    background-color: #9DA8B6;
    transition: background-color 0.2s;
  }
}
.m-table__button.js-sort__up .m-table__buttonText::after {
  content: unset;
}
.m-table__button.js-sort__down .m-table__buttonText::before {
  content: unset;
}
.m-table__buttonText {
  position: relative;
  display: block;
  transition: background-color 0.2s;
}
.m-table__buttonText::before, .m-table__buttonText::after {
  position: absolute;
  right: 8px;
  display: block;
  width: 15px;
  height: 12.9903810568px;
  color: transparent;
  content: "";
  background-color: var(--white);
  border: unset;
}
@media (max-width: 768px) {
  .m-table__buttonText::before, .m-table__buttonText::after {
    width: 12px;
    height: 10.3923048454px;
  }
}
.m-table__buttonText::before {
  top: -5px;
  clip-path: polygon(50% 0, 100% 100%, 0 100%);
}
.m-table__buttonText::after {
  bottom: -5px;
  clip-path: polygon(0 0, 100% 0, 50% 100%);
}
.m-filter .m-table-definition__description {
  white-space: normal;
}
@media (max-width: 768px) {
  .m-filter {
    margin-top: 32px;
  }
}
.m-filter .m-table-definition {
  margin: 0;
}
@media (max-width: 768px) {
  .m-filter .m-table-definition__body,
  .m-filter .m-table-definition__row {
    display: flex;
    flex-direction: column;
  }
}
.m-filter .m-table-definition__head {
  width: 24%;
}
@media (max-width: 768px) {
  .m-filter .m-table-definition__head {
    width: 100%;
    border-right: unset;
    border-bottom: 1px solid var(--border);
  }
}
.m-filter .m-table-definition__description {
  width: 76%;
}
@media (max-width: 768px) {
  .m-filter .m-table-definition__description {
    width: 100%;
  }
}

.a-width-20per{
  width:20%;
}
.a-width-15per{
  width:15%;
}
.f-size-mid17{
  font-size: 1.7rem;
}